import { IPlatformDataSource } from '@cloudbase/cals';
import { ICloudFnParams, IFnContext } from './types';
export interface IGetFnContextConfig {
    /** 数据源配置 */
    dsConfig?: IPlatformDataSource;
    /** 整个tcb云函数接收的参数 */
    params: ICloudFnParams;
    /** 是否使用预览的资源, 不指定这使用环境变量 IS_PREVIEW */
    isPreview?: boolean;
    /** 云函数原始的context */
    rawContext?: any;
    /** 是否为测试模式 */
    isTestMode?: boolean;
}
export declare function getFnContext(config: IGetFnContextConfig): IFnContext;
